@media screen and (min-width: 2100px) {
  .header {
    padding-top: 3vh;
    padding-bottom: 3vh;
  }

  .header__logo {
    max-width: unset;
  }

  .header__logo img {
    height: 7vh;
    max-height: 300px;
  }

  .main {
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
  }

  .main-wheel__title {
    margin-bottom: 2vw;
    font-size: 3vw;
  }

  .main-wheel__wrap {
    padding: 1vh;
    max-width: unset;
    max-height: unset;
    width: 63vh;
    height: 63vh;
  }

  .main-wheel__stopper {
    top: -1vw;
    max-width: unset;
    max-height: unset;
    width: 7vh;
  }

  .main-wheel__button {
    top: calc(50% - 26vh / 2);
    right: calc(50% - 26vh / 2);
    min-width: 26vh;
    min-height: 26vh;
    width: 26vh;
    height: 26vh;
  }

  .main-wheel__button > span {
    font-size: 5vh;
  }

  .main__image {
    height: 70vh;
    max-height: 70vh;
  }

  .footer {
    padding: 2vh 4vh;
  }

  .footer > * {
    margin: 0 auto;
    max-width: 50vw;
  }

  .footer__crypto li {
    margin: 0.4vw 0.7vw;
    width: calc(100% / 4 - 0.7vw * 2);
    font-size: 0.7vw;
  }

  .footer__crypto img {
    margin-right: 1vw;
    max-height: 90px;
    height: 3vh;
  }

  .popup__content {
    padding: 4vh 6vh;
    max-width: 25vw;
    min-height: 40vh;
  }

  .popup__desc {
    margin-bottom: 1vw;
  }

  .popup__text {
    font-size: 1.5vw;
  }

  .popup__text-bold {
    font-size: 2.5vw;
  }

  .popup__text-contrast {
    font-size: 3.5vw;
  }

  .popup__text-additional {
    font-size: 0.7vw;
    text-shadow: -0.1vw 0px 0px #000000;
  }

  .popup__button {
    margin-top: 1vw;
    padding: 1vw 2vw;
    max-width: 20vw;
    font-size: 1.5vw;
  }
}

@media screen and (max-width: 1600px) {
  .header {
    padding: 32px 16px;
  }

  .header__logo img {
    max-height: 65px;
  }

  .main__image {
    height: 65vh;
  }

  .footer {
    padding-top: 16px;
    padding-bottom: 16px;
  }

  .footer__crypto img {
    max-height: 35px;
  }
}

@media screen and (max-width: 1200px) {
  .footer {
    padding-left: calc(50% - 800px / 2);
    padding-right: calc(50% - 800px / 2);
  }
}

@media screen and (max-width: 1024px) and (orientation: portrait) {
  .main {
    -webkit-box-pack: start;
    -webkit-justify-content: flex-start;
    -ms-flex-pack: start;
    justify-content: flex-start;
  }
}

@media screen and (max-width: 850px) {
  .main::after {
    display: none;
  }

  .footer {
    padding-left: 16px;
    padding-right: 16px;
  }
}

@media screen and (max-width: 768px) {
  .main {
    padding-left: 16px;
    padding-right: 16px;
  }

  .footer__crypto {
    margin: 0 auto;
    max-width: 500px;
  }

  .footer__crypto li {
    margin: 4px 8px;
    width: calc(100% / 3 - 16px);
  }
}

@media screen and (max-width: 605px) {
  body {
    background-image: url(../img/mobile-bg.jpg);
  }

  .header {
    padding: 16px;
  }

  .header__logo img {
    max-height: 15vw;
  }

  .main {
    padding-top: 48px;
  }

  .main-wheel__wrap {
    padding: 4.5px;
  }

  .main-wheel__title {
    margin-bottom: 50px;
    font-size: 40px;
  }

  .main-wheel__stopper {
    top: -22px;
    max-width: 57px;
    max-height: 66px;
  }

  .main-wheel__button > span {
    font-size: 32px;
  }

  .main-wheel__light {
    width: calc(100% - 4.5px * 2);
    height: calc(100% - 4.5px * 2);
    top: 4.5px;
    left: 4.5px;
  }

  .popup__content {
    max-width: 80vw;
  }

  .popup__desc {
    margin-bottom: 20px;
  }

  .popup__text-bold {
    font-size: 36px;
  }

  .popup__text-contrast {
    font-size: 48px;
  }

  .footer {
    padding: 10px 4px;
    background: -webkit-gradient(
      linear,
      left top,
      left bottom,
      from(rgba(0, 0, 0, 0)),
      color-stop(52.08%, rgba(0, 0, 0, 0.6)),
      to(#000000)
    );
    background: -o-linear-gradient(
      top,
      rgba(0, 0, 0, 0) 0%,
      rgba(0, 0, 0, 0.6) 52.08%,
      #000000 100%
    );
    background: linear-gradient(
      180deg,
      rgba(0, 0, 0, 0) 0%,
      rgba(0, 0, 0, 0.6) 52.08%,
      #000000 100%
    );
  }

  .footer__crypto {
    margin: 0 auto;
    max-width: 340px;
  }

  .footer__crypto li {
    margin: 6px 12px;
    width: calc(100% / 2 - 24px);
  }

  .footer__crypto img {
    max-height: 24px;
  }
}

@media screen and (max-width: 375px) {
  .main {
    padding-top: 20px;
    padding-left: 6px;
    padding-right: 6px;
  }

  .popup__content {
    padding: 32px 16px;
    max-width: 90vw;
  }

  .popup__text {
    font-size: 20px;
  }

  .popup__text-bold {
    font-size: 32px;
    font-weight: 800;
  }

  .popup__text-contrast {
    font-size: 42px;
  }

  .popup__text-additional {
    font-size: 10px;
  }

  .popup__button {
    font-size: 24px;
  }

  .footer__crypto img {
    max-height: 16px;
  }
}

@media screen and (max-height: 850px) and (orientation: landscape) {
  .header {
    padding: 16px;
  }

  .header__logo img {
    max-height: 8vh;
  }

  .main-wheel__title {
    font-size: 4vw;
  }

  .main-wheel__wrap {
    max-width: 65vh;
    max-height: 65vh;
    min-width: 300px;
    min-height: 300px;
  }

  .main-wheel__stopper {
    top: -1vw;
    max-width: 5vw;
  }

  .main-wheel__button > span {
    font-size: 7vh;
  }
}

@media screen and (max-width: 768px) and (max-height: 1350px) and (orientation: portrait) {
  .main__image {
    display: none;
  }
}

@media screen and (max-height: 500px) and (orientation: landscape) {
  .header__logo img {
    max-height: 55px;
  }

  .main__image {
    display: none;
  }

  .footer {
    padding-left: 16px;
    padding-right: 16px;
  }

  .footer__crypto img {
    max-height: 22px;
  }
}

@media screen and (max-height: 500px) and (orientation: landscape) {
  .popup__content {
    height: 90vh;
  }
}
